Bug 63950 - static g++3 builds segfault immediately... newer ld fixes
static g++3 builds segfault immediately... newer ld fixes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-22 11:34 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 15:00:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-22 11:34:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9+) Gecko/20020313

Description of problem:
Installed RH7.2 and applied all patches. Now executibles built static
using g++3 segfault immediately.
Installing latest gnu binutils (specifically a new linker "ld") fixes
the problem, but I don't know why.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install RH7.2 and apply all patches, including the i686-specific ones
2. build any c++ program and compile using g++3 and -static
3 .program will segfault immediately
4.grab latest binutils from gnu.org and install into /usr/local
5. add	/usr/local/bin to path
6. recompile
7. program runs

Additional info:
Comment 1 Alan Cox 2002-12-15 15:00:16 EST
Ok in 8,0 with 3.2

Note You need to log in before you can comment on or make changes to this bug.